hmm_context_s Struct Reference

## Data Fields

int32 | n_emit_state
| Number of emitting states in this set of HMMs. More...
uint8 **const * | tp
| State transition scores tp[id][from][to] (logs3 values). More...
int16 const * | senscore
| State emission scores senscore[senid] (negated scaled logs3 values). More...
uint16 *const * | sseq
| Senone sequence mapping. More...
int32 * | st_sen_scr
| Temporary array of senone scores (for some topologies). More...
listelem_alloc_t * | mpx_ssid_alloc
| Allocator for senone sequence ID arrays. More...
void * | udata
| Whatever you feel like, gosh. More...

## Detailed Description

Definition at line 146 of file hmm.h.

## Field Documentation

listelem_alloc_t* hmm_context_s::mpx_ssid_alloc

Allocator for senone sequence ID arrays.

Definition at line 153 of file hmm.h.

int32 hmm_context_s::n_emit_state

Number of emitting states in this set of HMMs.

Definition at line 147 of file hmm.h.

int16 const* hmm_context_s::senscore

State emission scores senscore[senid] (negated scaled logs3 values).

Definition at line 149 of file hmm.h.

uint16* const* hmm_context_s::sseq

Senone sequence mapping.

Definition at line 151 of file hmm.h.

int32* hmm_context_s::st_sen_scr

Temporary array of senone scores (for some topologies).

Definition at line 152 of file hmm.h.

uint8** const* hmm_context_s::tp

State transition scores tp[id][from][to] (logs3 values).

Definition at line 148 of file hmm.h.

void* hmm_context_s::udata

Whatever you feel like, gosh.

Definition at line 154 of file hmm.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/hmm.h